Subject: Re: [RFC/PATCH] clone: introduce clone.submoduleGitDir to relocate $GITDIR

From: Marc Branchaud <[email-masked]>
Date: Tue, 16 Apr 2013 11:46:09 -0400

On 13-04-16 04:21 AM, Ramkumar Ramachandra wrote:
> Junio C Hamano wrote:
>> It does not relieve "git add" (or "git submodulea add") from the
>> responsibility of moving .git directory.  It only reduces the need
>> to do so.
>>
>> When the user says "add" and the repository has .git directory in
>> it, "add" (or "submodule add") is still responsible for relocating
>> it.
> 
> Since you're so stubborn about it, I suppose 'git add' could call a
> function in my "new first-class program to attach detach
> worktrees/workdirs and relocate GITDIRs" as a last resort (if the user
> somehow managed to put a GITDIR in the submodule worktree despite our
> well-designed tools).  But last resort is not what we should be
> discussing now: we're discussing what the design should ideally be.
> And ideally, I think we both agree that it's best if init/clone did
> the relocation.

If that's the question, then put me on the "disagree" side.  I just don't see
why that approach is "best", especially if the intention is "to make 'git
add' DTRT wrt submodules, and deprecate 'git submodule add'".

		M.